Subject: Re: bug#11757: Acknowledgement (24.1.50; vc-git calls `process-file' too many times)

From: Dmitry Gutov <[email-masked]>
Date: Sat, 30 Jun 2012 21:42:31 +0400

On 30.06.2012 17:19, Michael Albinus wrote:
> Dmitry Gutov <[email-masked]> writes:
>
>> Here's what I had in mind:
>
> Well, I've committed both your and my patch. Can we close the ticket now?

Uh, probably not. This was not enough to fully fix the scenario of 
writing to a file that was removed from Git externally.

This way, `vc-before-save' clears 'vc-backend property too and 
(vc-backend file) retuns nil in `vc-after-save', and the mode-line isn't 
getting updated.

I'm not sure what we should do. Call (vc-mode-line) anyway? That would work.

Clearing only some properties in `vc-before-save' wouldn't be very sane, 
since 'git-registered is backend-specific.

There's a major inconsistency in `vc-backend' logic: we have a way to 
display mode-line, refresh state, etc, for a file that's been registered 
in VC but then was removed, as long as the buffer wasn't killed, but 
kill it and open the file again - now (vc-backend) returns nil.

-- Dmitry